A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Data Structures | Typedefs | Functions
Event API
ArrayFire Functions by Category » Events

af_create_event, af_mark_event, etc. More...

## Data Structures
class | event
| C++ RAII interface for manipulating events. More...

## Typedefs
typedef void * | af_event
| Handle to an event object.

## Functions
AFAPI af_err | af_create_event (af_event *eventHandle)
| Create a new af_event handle.
AFAPI af_err | af_delete_event (af_event eventHandle)
| Release the af_event handle.
AFAPI af_err | af_mark_event (const af_event eventHandle)
| marks the af_event on the active computation stream.
AFAPI af_err | af_enqueue_wait_event (const af_event eventHandle)
| enqueues the af_event and all enqueued events on the active stream.
AFAPI af_err | af_block_event (const af_event eventHandle)
| blocks the calling thread on events until all events on the computation stream before mark was called are complete

## Detailed Description

af_create_event, af_mark_event, etc.

## Typedef Documentation

## ◆ af_event

typedef void* af_event

Handle to an event object.

Definition at line 21 of file event.h.

## Function Documentation

## ◆ af_block_event()

AFAPI af_err af_block_event | ( | const af_event | eventHandle | ) |

blocks the calling thread on events until all events on the computation stream before mark was called are complete

Parameters

  [in] | eventHandle | the input event handle

## ◆ af_create_event()

AFAPI af_err af_create_event | ( | af_event * | eventHandle | ) |

Create a new af_event handle.

Parameters

  [in] | eventHandle | the input event handle

## ◆ af_delete_event()

AFAPI af_err af_delete_event | ( | af_event | eventHandle | ) |

Release the af_event handle.

Parameters

  [in] | eventHandle | the input event handle

## ◆ af_enqueue_wait_event()

AFAPI af_err af_enqueue_wait_event | ( | const af_event | eventHandle | ) |

enqueues the af_event and all enqueued events on the active stream.

All operations enqueued after a call to enqueue will not be executed until operations on the stream when mark was called are complete

Parameters

  [in] | eventHandle | the input event handle

## ◆ af_mark_event()

AFAPI af_err af_mark_event | ( | const af_event | eventHandle | ) |

marks the af_event on the active computation stream.

If the af_event is enqueued/waited on later, any operations that are currently enqueued on the event stream will be completed before any events that are enqueued after the call to enqueue

Parameters

  [in] | eventHandle | the input event handle